Subject: Re: [PATCH v3 3/4] powerpc/85xx: Move gianfar mdio nodes under the ethernet nodes

From: Scott Wood <[email-masked]>
Date: Wed, 18 Mar 2009 15:05:51 -0500

Anton Vorontsov wrote:
> Currently it doesn't matter where the mdio nodes are placed, but with
> power management support (i.e. when sleep = <> properties will take
> effect), mdio nodes placement will become important: mdio controller
> is a part of the ethernet block, so the mdio nodes should be placed
> correctly. Otherwise we may wrongly assume that MDIO controllers are
> available during sleep.
> 
> NOTE: mpc8572ds_camp_core1.dts now fully specifies ethernet@24000
> layout. ethernet@24000 node is disabled via status = "disabled on
> core1" property.

Hmm, would that imply that the mdio underneath it is disabled as well?

And are we just ignoring the possibility of races between multiple 
partitions accessing the shared mdio block?

-Scott